# wxCalendarDateAttr Class Reference
[Data Structures]

`#include <wx/calctrl.h>`

## Detailed Description

wxCalendarDateAttr is a custom attributes for a calendar date.

The objects of this class are used with wxCalendarCtrl.

##

Library: wxAdvanced

Category: Data Structures

See also:
  wxCalendarCtrl

## Public Member Functions
| wxCalendarDateAttr (const wxColour &colText=wxNullColour, const wxColour &colBack=wxNullColour, const wxColour &colBorder=wxNullColour, const wxFont &font=wxNullFont, wxCalendarDateBorder border=wxCAL_BORDER_NONE)
| Constructor for specifying all wxCalendarDateAttr properties.
| wxCalendarDateAttr (wxCalendarDateBorder border, const wxColour &colBorder=wxNullColour)
| Constructor using default properties except the given border.
const wxColour & | GetBackgroundColour () const
| Returns the background colour set for the calendar date.
wxCalendarDateBorder | GetBorder () const
| Returns the border set for the calendar date.
const wxColour & | GetBorderColour () const
| Returns the border colour set for the calendar date.
const wxFont & | GetFont () const
| Returns the font set for the calendar date.
const wxColour & | GetTextColour () const
| Returns the text colour set for the calendar date.
bool | HasBackgroundColour () const
| Returns true if a non-default text background colour is set.
bool | HasBorder () const
| Returns true if a non-default (i.e.
bool | HasBorderColour () const
| Returns true if a non-default border colour is set.
bool | HasFont () const
| Returns true if a non-default font is set.
bool | HasTextColour () const
| Returns true if a non-default text foreground colour is set.
bool | IsHoliday () const
| Returns true if this calendar day is displayed as a holiday.
void | SetBackgroundColour (const wxColour &colBack)
| Sets the text background colour to use.
void | SetBorder (wxCalendarDateBorder border)
| Sets the border to use.
void | SetBorderColour (const wxColour &col)
| Sets the border colour to use.
void | SetFont (const wxFont &font)
| Sets the font to use.
void | SetHoliday (bool holiday)
| If holiday is true, this calendar day will be displayed as a holiday.
void | SetTextColour (const wxColour &colText)
| Sets the text (foreground) colour to use.
## Static Public Member Functions
static const wxCalendarDateAttr & | GetMark ()
| Used (internally) by the generic wxCalendarCtrl::Mark().
static void | SetMark (wxCalendarDateAttr const &m)
| Set the attributes that will be used to Mark() days on the generic wxCalendarCtrl.

List of all members.

## Constructor & Destructor Documentation

wxCalendarDateAttr::wxCalendarDateAttr | ( | const wxColour & | colText = `wxNullColour`,
|  | const wxColour & | colBack = `wxNullColour`,
|  | const wxColour & | colBorder = `wxNullColour`,
|  | const wxFont & | font = `wxNullFont`,
|  | wxCalendarDateBorder | border = `wxCAL_BORDER_NONE` |
| ) |  |  |

Constructor for specifying all wxCalendarDateAttr properties.

wxCalendarDateAttr::wxCalendarDateAttr | ( | wxCalendarDateBorder | border,
|  | const wxColour & | colBorder = `wxNullColour` |
| ) |  |  |

Constructor using default properties except the given border.

## Member Function Documentation

const wxColour& wxCalendarDateAttr::GetBackgroundColour | ( |  | ) | const

Returns the background colour set for the calendar date.

wxCalendarDateBorder wxCalendarDateAttr::GetBorder | ( |  | ) | const

Returns the border set for the calendar date.

const wxColour& wxCalendarDateAttr::GetBorderColour | ( |  | ) | const

Returns the border colour set for the calendar date.

const wxFont& wxCalendarDateAttr::GetFont | ( |  | ) | const

Returns the font set for the calendar date.

static const wxCalendarDateAttr& wxCalendarDateAttr::GetMark | ( |  | ) | `[static]`

Used (internally) by the generic wxCalendarCtrl::Mark().

const wxColour& wxCalendarDateAttr::GetTextColour | ( |  | ) | const

Returns the text colour set for the calendar date.

bool wxCalendarDateAttr::HasBackgroundColour | ( |  | ) | const

Returns true if a non-default text background colour is set.

bool wxCalendarDateAttr::HasBorder | ( |  | ) | const

Returns true if a non-default (i.e.

any) border is set.

bool wxCalendarDateAttr::HasBorderColour | ( |  | ) | const

Returns true if a non-default border colour is set.

bool wxCalendarDateAttr::HasFont | ( |  | ) | const

Returns true if a non-default font is set.

bool wxCalendarDateAttr::HasTextColour | ( |  | ) | const

Returns true if a non-default text foreground colour is set.

bool wxCalendarDateAttr::IsHoliday | ( |  | ) | const

Returns true if this calendar day is displayed as a holiday.

void wxCalendarDateAttr::SetBackgroundColour | ( | const wxColour & | colBack | ) |

Sets the text background colour to use.

void wxCalendarDateAttr::SetBorder | ( | wxCalendarDateBorder | border | ) |

Sets the border to use.

void wxCalendarDateAttr::SetBorderColour | ( | const wxColour & | col | ) |

Sets the border colour to use.

void wxCalendarDateAttr::SetFont | ( | const wxFont & | font | ) |

Sets the font to use.

void wxCalendarDateAttr::SetHoliday | ( | bool | holiday | ) |

If holiday is true, this calendar day will be displayed as a holiday.

static void wxCalendarDateAttr::SetMark | ( | wxCalendarDateAttr const & | m | ) | `[static]`

Set the attributes that will be used to Mark() days on the generic wxCalendarCtrl.

void wxCalendarDateAttr::SetTextColour | ( | const wxColour & | colText | ) |

Sets the text (foreground) colour to use.

|  | [ top ]